This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 163098 - ath0 interface fails to start on boot (PCMCIA error)
ath0 interface fails to start on boot (PCMCIA error)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-12 17:26 EDT by David Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 05:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2005-07-12 17:26:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4) KHTML/3.4.1 (like Gecko)

Description of problem:
I have just upgraded a Dell laptop from Fedora Core 2 to Core 4. 
 
I have a Netgear wireless card in the card socket. The network interface fails 
to start on boot; but after boot, removing and inserting works (i.e. interface 
comes up). 
 
dmesg contains this output, which I believe occurs at the point I remove the 
card after noticing that it hasn't obtained a network address: 
 
PCMCIA: socket dfb97c44: *** DANGER *** unable to remove socket power 
 
/var/log/messages has this: 
 
Jul 12 18:45:07 shed kernel: Linux Kernel Card Services 
Jul 12 18:45:07 shed kernel:   options:  [pci] [cardbus] [pm] 
Jul 12 18:45:07 shed kernel: PCI: Enabling device 0000:02:04.0 (0000 -> 0002) 
Jul 12 18:45:07 shed kernel: ACPI: PCI Interrupt 0000:02:04.0[A] -> Link 
[LNKA] -> GSI 11 (level, low) -> IRQ 11 
Jul 12 18:45:07 shed kernel: Yenta: CardBus bridge found at 0000:02:04.0 
[1028:015f] 
Jul 12 18:45:07 shed kernel: Yenta: Using CSCINT to route CSC interrupts to 
PCI 
Jul 12 18:45:07 shed kernel: Yenta: Routing CardBus interrupts to PCI 
Jul 12 18:45:07 shed kernel: Yenta TI: socket 0000:02:04.0, mfunc 0x00001002, 
devctl 0x64 
Jul 12 18:45:07 shed kernel: Yenta: ISA IRQ mask 0x0478, PCI irq 11 
Jul 12 18:45:07 shed kernel: Socket status: 30000020 
Jul 12 18:45:07 shed kernel: ohci1394: $Rev: 1250 $ Ben Collins 
<bcollins@debian.org> 
Jul 12 18:45:07 shed kernel: ACPI: PCI Interrupt 0000:02:04.1[A] -> Link 
[LNKA] -> GSI 11 (level, low) -> IRQ 11 
Jul 12 18:45:07 shed kernel: ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[11]  
MMIO=[faffd800-faffdfff]  Max Packet=[20 
48] 
Jul 12 18:45:07 shed kernel: ath_hal: no version for "struct_module" found: 
kernel tainted. 
Jul 12 18:45:07 shed kernel: ath_hal: module license 'Proprietary' taints 
kernel. 
Jul 12 18:45:07 shed kernel: ath_hal: 0.9.14.9 (AR5210, AR5211, AR5212, 
RF5111, RF5112, RF2413) 
Jul 12 18:45:07 shed kernel: wlan: 0.8.4.5 (EXPERIMENTAL) 
Jul 12 18:45:07 shed kernel: ath_rate_onoe: 1.0 
Jul 12 18:45:07 shed kernel: ath_pci: 0.9.4.12 (EXPERIMENTAL) 
Jul 12 18:45:07 shed kernel: PCI: Enabling device 0000:03:00.0 (0000 -> 0002) 
Jul 12 18:45:07 shed kernel: ACPI: PCI Interrupt 0000:03:00.0[A] -> Link 
[LNKA] -> GSI 11 (level, low) -> IRQ 11 
Jul 12 18:45:07 shed kernel: ath0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 
Jul 12 18:45:07 shed kernel: ath0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 
9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 
54Mbps 
Jul 12 18:45:07 shed kernel: ath0: mac 5.6 phy 4.1 radio 4.6 
Jul 12 18:45:07 shed kernel: ath0: 802.11 address: 00:09:5b:c7:48:3b 
Jul 12 18:45:07 shed kernel: ath0: Use hw queue 0 for WME_AC_BE traffic 
Jul 12 18:45:07 shed kernel: ath0: Use hw queue 1 for WME_AC_BK traffic 
Jul 12 18:45:07 shed kernel: ath0: Use hw queue 2 for WME_AC_VI traffic 
Jul 12 18:45:07 shed kernel: ath0: Use hw queue 3 for WME_AC_VO traffic 
Jul 12 18:45:07 shed kernel: ath0: Atheros 5212: mem=0x20800000, irq=11 
(snip) 
Jul 12 18:47:24 shed kernel: PCMCIA: socket dfb97c44: *** DANGER *** unable to 
remove socket power 
 
 
This all worked fine on FC2. 

Version-Release number of selected component (if applicable):
3.2.8-4.12

How reproducible:
Always

Steps to Reproduce:
1. Power on with wireless card plugged in 
   

Actual Results:  No network interface comes up; one light of two permanently on on card (error 
status, I think - I've not seen it before) 

Expected Results:  Network interface comes up. Removing and re-inserting card has expected 
result. 

Additional info:
Comment 1 David Anderson 2006-05-04 05:57:50 EDT
As this package no longer exists, this bug is not valid any more.

Note You need to log in before you can comment on or make changes to this bug.